Transactions

Every change in is recorded in a transaction. Use the transaction endpoints to get information on transactions and changes to entities within each of these.

Get a specific transaction

get
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Unique id of transaction

Responses
200

OK

application/json

A transaction represents a single unit of work in the system, in which one or more entities have been created, updated or deleted

Uidstring · uuidOptional

Unique id of the transaction

TransactionTypestring · nullableOptional

Description of the type of transaction

Usernamestring · nullableOptional

Username of the user who performed the transaction

StartTimestampstring · date-timeOptional

The timestamp when the transaction was started

CommitTimestampstring · date-timeOptional

The timestamp when the transaction was committed

get
/v1/transactions/{uid}
200

OK

Get a batch of transactions

post
Authorizations
AuthorizationstringRequired
Bodystring · uuid[]
string · uuid[]Optional
Responses
200

OK

application/json

A transaction represents a single unit of work in the system, in which one or more entities have been created, updated or deleted

Uidstring · uuidOptional

Unique id of the transaction

TransactionTypestring · nullableOptional

Description of the type of transaction

Usernamestring · nullableOptional

Username of the user who performed the transaction

StartTimestampstring · date-timeOptional

The timestamp when the transaction was started

CommitTimestampstring · date-timeOptional

The timestamp when the transaction was committed

post
/v1/transactions/batch
200

OK

get
Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · int32Optional

Page to return results for (1 is first page)

Default: 1
fromTimestampstring · date-timeOptional

Query transactions committed after this timestamp

toTimestampstring · date-timeOptional

Query transactions committed before this timestamp

usernamestringOptional

Query transactions made by this username

Responses
200

OK

application/json

Represents a result from a transaction search

TotalCountinteger · int32Optional

The total number of transactions contained in the search result

Pageinteger · int32Optional

The current page which results are returned for

get
/v1/transactions/search
200

OK

Get an entity's changes

get
Authorizations
AuthorizationstringRequired
Path parameters
entityTypestringRequired

Type of entity (Can be Product, Variant, Category or GlobalListValue)

entityIdstringRequired

Id of entity

Responses
200

OK

application/json
FieldNamestring · nullableOptional
get
/v1/transactions/{entityType}/{entityId}/revisiondata
200

OK

Get entities changed in a specific transaction

get
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Unique id of transaction to get changes for

Query parameters
entityTypesstringOptional

Comma separated list of entity types to return (valid entity types are Category, Product, Variant, GlobalListValue)

Responses
200

OK

application/json

Represents information on an entity that is changed in a specific transaction

EntityTypestring · nullableOptional

Type of entity

EntityIdstring · nullableOptional

The unique id of the entity

RevisionNointeger · int32Optional

The revision number assigned to the entity in this transaction

TransactionUidstring · uuidOptional

Unique id of the transaction

get
/v1/transactions/{uid}/changedentities
200

OK

Get entities changed in a batch of transactions

post

A maximum of 5000 transactions can be fetched at a time

Authorizations
AuthorizationstringRequired
Query parameters
entityTypesstringOptional

Comma separated list of entity types to return (valid entity types are Category, Product, Variant, GlobalListValue)

Bodystring · uuid[]
string · uuid[]Optional
Responses
200

OK

application/json

Represents information on an entity that is changed in a specific transaction

EntityTypestring · nullableOptional

Type of entity

EntityIdstring · nullableOptional

The unique id of the entity

RevisionNointeger · int32Optional

The revision number assigned to the entity in this transaction

TransactionUidstring · uuidOptional

Unique id of the transaction

post
/v1/transactions/batch/changedentities
200

OK

Get an entity's changes for in a specific revision

get
Authorizations
AuthorizationstringRequired
Path parameters
entityTypestringRequired

Type of entity (Can be Product, Variant, Category or GlobalListValue)

entityIdstringRequired

Id of entity

revisionNointeger · int32Required

Revision to get changes for

Responses
200

OK

application/json

Represents a change made to an entity in a specific revision

EntityTypestring · nullableOptional

Type of entity

EntityIdstring · nullableOptional

The unique id of the entity

RevisionNointeger · int32Optional

The revision number assigned to the entity in this transaction

DataTypestring · nullableOptional

Reference to the type of data change that was made for this entity in this revision

get
/v1/transactions/changes/{entityType}/{entityId}/{revisionNo}
200

OK

Get revision changes for a batch of entities

post
Authorizations
AuthorizationstringRequired
Bodyobject[]

Model for requesting revision changes

EntityTypestring · nullableOptional

Type of entity

EntityIdstring · nullableOptional

Unique id of entity

RevisionNointeger · int32Optional

Revision number

Responses
200

OK

application/json

Represents a change made to an entity in a specific revision

EntityTypestring · nullableOptional

Type of entity

EntityIdstring · nullableOptional

The unique id of the entity

RevisionNointeger · int32Optional

The revision number assigned to the entity in this transaction

DataTypestring · nullableOptional

Reference to the type of data change that was made for this entity in this revision

post
/v1/transactions/changes/batch
200

OK

Last updated